@font-face {
  font-family: "Oswald";
  src: url("./fonts/Oswald-Regular.ttf");
}

@font-face {
  font-family: "Pixel";
  src: url("./fonts/Pixel.ttf");
}

* {
  box-sizing: border-box;
}

:root {
  font-size: 62.5%;
}

body {
  margin: 0;
  padding: 0;
  font-family: "Oswald";
  background-color: #0d262d;
  display: flex;
  flex-direction: column;
  align-items: center;
  /* overflow: hidden; */
  overflow-x: hidden;
  height: 100vh;
  width: 100vw;
}

h1 {
  color: #fff;
  font-size: 2.8rem;
}

main {
  /* border: 2px solid white; */
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-top: 1rem;
}

#content {
  position: relative;
  background-color: deepskyblue;
  border: 0.5rem solid dodgerblue;
  width: 90vw;
  height: 80vh;
  margin: 1.5rem;
  overflow: hidden;
}

.barrierPair {
  position: absolute;
  top: 0;
  /* border: 2px solid black; */
  /* position: relative; */
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  width: 13rem;
  height: 100%;
}

.barrier {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.body {
  border-left: 0.2rem solid;
  border-right: 0.2rem solid;
  /* border-bottom: 2px solid; */
  /* height: 180px; */
  background-image: linear-gradient(90deg, #639301, #a5e82e);
  width: 10rem;
}

.border {
  border: 0.2rem solid;
  background-image: linear-gradient(90deg, #639301, #a5e82e);
  width: 100%;
  height: 3rem;
}

.bird {
  position: absolute;
  width: 5rem;
  left: calc(50% - 25px);
  /* top: calc(50% - 25px);
  top: 300px; */
}

.score {
  position: absolute;
  color: white;
  top: 0.5rem;
  right: 1rem;
  font-family: "Pixel";
  font-size: 5rem;
  z-index: 100;
}

.hide {
  display: none;
}

.level {
  position: absolute;
  color: white;
  top: 6rem;
  right: 1rem;
  /* font-family: "Pixel"; */
  font-size: 2rem;
  z-index: 100;
}

#startMenu {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;

  position: absolute;

  height: 100%;
  width: 100%;

  background-color: #639301;
  z-index: 200;
}

#startButton {
  display: flex;
  height: 8rem;
  width: 18rem;
  justify-content: center;
  align-items: center;
  background-color: #639301;
  border: 2px solid #fff;
  color: #fff;
  font-size: 3rem;
  border-radius: 1rem;
  transition: all 0.2s ease-in-out;
  position: relative;
}

#restartButton {
  display: flex;
  height: 8rem;
  width: 18rem;
  justify-content: center;
  align-items: center;
  background-color: #639301;
  border: 2px solid #fff;
  color: #fff;
  font-size: 3rem;
  border-radius: 1rem;
  transition: all 0.2s ease-in-out;
  position: relative;
}

#reButton {
  font-family: 'Oswald';
  background-color: #639301;
  border: none;
  color: #fff;
  font-size: 3rem;
  padding: 1.3rem 4.6rem;
}

#reButton:hover {
  background-color: #89c326;
  color: white;
  cursor: pointer;
  border-radius: 0px;
}

.restartButton:hover {
  background-color: #89c326;
  color: white;
  cursor: pointer;
  border-radius: 0px;
  font-size: 4rem;
}

#startButton:hover {
  background-color: #89c326;
  color: white;
  cursor: pointer;
  border-radius: 0px;
  font-size: 4rem;
}

#menuBird {
  position: absolute;
  top: -10rem;
}

#startButton:hover #menuBird {
  animation: fly 0.5s ease-in-out infinite alternate;
}

@keyframes fly {
  0% {
    transform: translateY(0) rotateZ(10deg);
  }
  100% {
    transform: translateY(-3rem) rotateZ(-10deg);
  }
}

@keyframes start {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-70rem);
    opacity: 0;
  }
}

@keyframes end {
  0% {
    transform: translateY(70rem);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}
